Unit Cursor;
interface
const
	UlCursor = $0623; { '_' : Underline Cursor  }
	OsCursor = $000A; { '' : Overstrike Cursor }
	NoCursor = $2000; { ' ' : No Cursor         }
	HaCursor = $0E0A; { '' : Half Cursor       }

procedure SetCursorScanLines(TopScan, BotScan : Byte);
procedure SetCursor (NewCursor: Word); { Sets Both Top (High byte) and Bottom (low byte)}

implementation
uses DOS;

procedure SetCursorScanLines(TopScan, BotScan : Byte); { pass them separately as bytes }
var
	REG : Registers;
begin
	with REG do
		begin
			AH := 01;
			CH := TopScan;
			CL := BotScan;
			Intr($10, REG);
		end;
end; { procedure SetCursorScanLines }

procedure SetCursor (NewCursor: Word); { pass them as one word }
begin { this procedure only works with Turbo Pascal 7's Hi & Lo functions }
	SetCursorScanLines(Hi(NewCursor), Lo(NewCursor));
end; { procedure SetCursor }
end.
